Options
All operations require authentication.
List blacklisted numbersProduction
List blacklisted numbers. Returns the numbers that replied STOP and no longer receive SMS from the account.
Path parameters
The internal name of your SMS offer
Query parameters
Filter the value of batchID property (=)
Filter the value of smsOutgoingID property (=)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ blacklists \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a blacklisted numberProduction
Get a blacklisted number. Returns a blacklisted number, the date it was added, and the sent SMS or batch whose STOP reply added it.
Path parameters
The sms number blacklisted
The internal name of your SMS offer
Response
ID of the batch responsible of the blacklist
The sms number blacklisted
ID of the outgoing SMS responsible of the blacklist
Example uses number = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ blacklists/ {number} \
-H "authorization: Bearer $OVH_TOKEN"{ "batchID": "00000000-0000-0000-0000-000000000000", "dateCreation": "2024-01-01T12:00:00Z", "number": "string", "smsOutgoingID": 0}
Delete a blacklisted numberProduction
Delete a blacklisted number. Removes the number from the blacklist of the account, so it can receive SMS from the account again.
Path parameters
The sms number blacklisted
The internal name of your SMS offer
Response
Example uses number = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ blacklists/ {number} \
-H "authorization: Bearer $OVH_TOKEN"List SMPP allowed IPsProduction
Returns the IP addresses allowed to connect to the SMPP account.
Path parameters
The internal name of your SMS offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ smpp/ allowedIPs \
-H "authorization: Bearer $OVH_TOKEN"[ "192.0.2.0"]
Add or remove SMPP allowed IPsProduction
Adds or removes IP addresses allowed to connect to the SMPP account, depending on the action.
Path parameters
The internal name of your SMS offer
Request body (required)
Action to perform on the provided IPs
addremoveList of IPs to add or remove
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ smpp/ allowedIPs \
-H "authorization: Bearer $OVH_TOKEN"[ "192.0.2.0"]
Renew the SMPP passwordProduction
Generates a new password for the SMPP account.
Path parameters
The internal name of your SMS offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ smpp/ password \
-H "authorization: Bearer $OVH_TOKEN"Get the SMPP settingsProduction
Returns the SMPP settings: TLS and non-TLS endpoints, system ID, status, throughput and windowing.
Path parameters
The internal name of your SMS offer
Response
Addresses of the TLS and non-TLS endpoints
Status of the SMPP account
DELETEDERRORSUCCESSUNKNOWNUPDATING_IPWAITING_IPUsername used to connect to OVHcloud SMSC
Number of messages allowed per seconds
Number of messages treated simultaneously
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ smpp/ settings \
-H "authorization: Bearer $OVH_TOKEN"{ "endpoints": [ { "secured": "string", "unsecured": "string" } ], "status": "DELETED", "systemID": "string", "throughput": 0, "windowing": 0}